import sys
import numpy as np
import scipy.stats 

m = len( sys.argv )
if m != 3 :
	print( "Args: m1 m2" )
	sys.exit(1)

m1 = float( sys.argv[1] )
m2 = float( sys.argv[2] )
n = 30

vx = 0.1*np.random.randn( n ) + m1
vy = 0.1*np.random.randn( n ) + m2

# print vx
# print vy

T, pvalue = scipy.stats.wilcoxon( vx, vy, correction='True' )
print( T, "p=", pvalue )
if pvalue > 0.05 :
	print( "Los modelos son iguales" )
else :
	T, pvalue = scipy.stats.wilcoxon( vx, vy, correction='True', alternative='less' )
	if pvalue > 0.05 :
		print( "El segundo modelo es mejor" )
	else :
		print( "El primer modelo es mejor" )
	 
